This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 969220

Summary: Review Request: x2goserver - Server for use with the X2Go network based computing environment
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: Package ReviewAssignee: Christopher Meng <i>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: i, notting, samuel-rhbugs
Target Milestone: ---Flags: i: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-31 00:12:48 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 969209    
Bug Blocks: 990815, 998551    

Description Orion Poplawski 2013-05-30 19:14:47 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/nx/x2goserver.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/nx/x2goserver-4.1.0.0-0.3.20130520gitbd2cfe4.fc18.src.rpm
Description: 
X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - LDAP support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick

This package contains the main daemon and tools for X2Go server-side session
administrations.

Fedora Account System Username: orion
Comment 1 Orion Poplawski 2013-07-29 18:23:20 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/nx/x2goserver.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/nx/x2goserver-
4.0.1.6-1.fc19.src.rpm

* Mon Jul 29 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.6-1
- Use 4.0.1.6 release
- Drop patches applied upstream

* Mon Jul 22 2013 Rok Mandeljc <rok.mandeljc@gmail.com> - 4.1.0.0-0.4.20130722git65169c9
- Update to latest git
- Use PREFIX=%{_prefix} when building, not just when installing.
- Use pwgen instead of makepasswd, which is not available on Fedora.
- Fixed a missing function import in x2golistsessions.
- Added dependencies for xorg-x11-fonts-misc
- Added system.d script for session cleanup on start.
- Fixed x2goruncommand for TERMINAL -> gnome-terminal; the latter seems to return immediately in Fedora 19.
Comment 2 Christopher Meng 2013-07-29 19:41:45 EDT
1. Are you going to check out from git or use stable version?

2. rpmlint(filtered):

x2goserver.i686: E: zero-length /etc/X11/Xsession.options
x2goserver.i686: W: dangling-symlink /etc/x2go/Xsession.d /etc/X11/Xsession.d
x2goserver.i686: E: non-executable-script /etc/x2go/Xsession 0644L /bin/sh
x2goserver.i686: E: non-readable /var/lib/x2go/x2go_sessions 0660L
x2goserver.i686: E: setgid-binary /usr/lib/x2go/x2gosqlitewrapper x2gouser 02755L
x2goserver.i686: E: non-standard-executable-perm /usr/lib/x2go/x2gosqlitewrapper 02755L
x2goserver.i686: E: non-standard-dir-perm /var/lib/x2go 0775L
x2goserver.i686: W: dangling-relative-symlink /etc/x2go/Xresources ../X11/Xresources
x2goserver-printing.i686: E: non-standard-dir-perm /var/spool/x2goprint 0700L

3. File listed twice: /var/lib/x2go/x2go_sessions
Comment 3 Orion Poplawski 2013-07-30 14:05:11 EDT
(In reply to Christopher Meng from comment #2)
> 1. Are you going to check out from git or use stable version?

Stable.

> 2. rpmlint(filtered):
> 
> x2goserver.i686: E: zero-length /etc/X11/Xsession.options

This doesn't appear to be used, removing for now.

> x2goserver.i686: W: dangling-symlink /etc/x2go/Xsession.d /etc/X11/Xsession.d

This needed to point to /etc/X11/xinit/Xclients.d.  Still appears as dangling, but we require xorg-x11-xinit which provides it.

> x2goserver.i686: E: non-executable-script /etc/x2go/Xsession 0644L /bin/sh

Fixed

> x2goserver.i686: E: non-readable /var/lib/x2go/x2go_sessions 0660L
> x2goserver.i686: E: setgid-binary /usr/lib/x2go/x2gosqlitewrapper x2gouser
> 02755L
> x2goserver.i686: E: non-standard-executable-perm
> /usr/lib/x2go/x2gosqlitewrapper 02755L
> x2goserver.i686: E: non-standard-dir-perm /var/lib/x2go 0775L
> x2goserver-printing.i686: E: non-standard-dir-perm /var/spool/x2goprint 0700L

This is as intended.

> x2goserver.i686: W: dangling-relative-symlink /etc/x2go/Xresources
> ../X11/Xresources

That's why we require xorg-x11-xinit.

> 3. File listed twice: /var/lib/x2go/x2go_sessions

Fixed.

Spec URL: http://www.cora.nwra.com/~orion/fedora/nx/x2goserver.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/nx/x2goserver-
4.0.1.6-3.fc19.src.rpm

* Tue Jul 30 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.6-3
- Mark /var/lib/x2go as a directory
- Add patch to make the following changes:
- Remove Xsession.options
- Make /etc/x2go/Xsession.d point to /etc/X11/xinit/Xclients.d
- Make /etc/x2go/Xsession executable

* Mon Jul 29 2013 Orion Poplawski <orion@cora.nwra.com> - 4.0.1.6-2
- Add SysV init script for EL6
Comment 4 Christopher Meng 2013-07-31 01:31:55 EDT
APPROVED.
Comment 5 Orion Poplawski 2013-08-01 00:27:42 EDT
New Package SCM Request
=======================
Package Name: x2goserver
Short Description: Server for use with the X2Go network based computing environment
Owners: orion
Branches: f19 f18  el6
InitialCC:
Comment 6 Jon Ciesla 2013-08-01 08:12:49 EDT
Git done (by process-git-requests).
Comment 7 Orion Poplawski 2013-08-31 00:12:48 EDT
Checked in and built